org.apache.fop.util

## Class BreakUtil

- java.lang.Object
- - org.apache.fop.util.BreakUtil

    public final class BreakUtil
    extends Object

A utility class for manipulating break classes (the break-before and break-after properties).

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `compareBreakClasses(int break1, int break2)` Compares the given break classes and return the one that wins.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compareBreakClasses

    public static int compareBreakClasses(int break1,
                                          int break2)

Compares the given break classes and return the one that wins. even-page and odd-page win over page, which wins over column, which wins over auto. If even-page and odd-page are compared to each other, which one will be returned is undefined.

Parameters:
  `break1` - a break class, one of `Constants.EN_AUTO`, `Constants.EN_COLUMN`, `Constants.EN_PAGE`, `Constants.EN_EVEN_PAGE`, `Constants.EN_ODD_PAGE`
  `break2` - another break class
Returns:
  the break class that wins the comparison